Create Basket

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Basket ID

If basket validation is successful, an id is returned that will be used when proceeding to Checkout Basket

ā“˜ Basket Ids Expiry
Basket IDs become invalid once they are used in a completed checkout. If they are not used, they will remain valid for up to 45 days.

Fulfilment types

TypeDefinition
deliveryFor delivery orders (including those handled by 3rd party dispatch platforms)
pickupWill be collected i.e. for takeaway (can apply for Kiosk orders)
curbsideWill be as per pickup, but specific handoff to customer in vehicle
eatInCustomer will be ordering on-premise e.g. QR Code ordering

Below are examples showing the minimum requirements for an initial basket to be created per fulfilment type:

{
    "channelLinkId": "67********************2c",
    "fulfillment": {
        "type": "delivery"
    }
}
{
    "channelLinkId": "67********************2c",
    "fulfillment": {
        "type": "pickup",
        "pickupNotes": "Yellow Honda"
    }
}
{
    "channelLinkId": "67********************2c",
    "fulfillment": {
        "type": "curbside",
        "pickupNotes": "Yellow Honda"
    }
}
{
    "channelLinkId": "67********************2c",
    "fulfillment": {
        "type": "eatIn",
        "spot": "table-5"
    }
}

Pre-defined charges

Extra charges can be applied automatically if configured in Deliverect.

ChargeDefinition
Delivery FeeCost of delivery payable by the customer
Service ChargeAny additional charges levied e.g. transaction fees
Bag FeeUnique charge for provision of packaging for orders

Validations

Certain validations will be run against the current basket, based on the order and it's content. This ensures the order is valid and conforms to the following:

  • Item selections comply with menu rules, e.g, minimum and maximum values
  • Requested times fall within store operating hours
  • Fulfilment types are available at the store

Items

The combination of storeId and a valid menuId will provide the required reference to validate basket items. A basket can be first created without items and updated later via PATCH Items

Basket Group

Customers

List of customers participating in the basket group.

A single HOST customer must be present in the customer list.

Policies

Pre-defined configuration policies that can be attached to the group basket.

PolicyBehaviourScope
New Joiners Deadline (newJoinersDeadline)Defines the cutoff time after which no new customers can be added to the group.Basket
Items Modification Deadline (groupItemsModificationDeadline)Defines the cutoff time after which customers can no longer modify their items.Basket
Items Modification Deadline (customerItemsModificationDeadline)Defines the cutoff time after which a particular customer can no longer modify their items.Customer

View this guide for instructions on updating a basket before checkout.

Request parameters

ā–¶ View the list of basket attributes

Path Params
string
required
Body Params
string
required
fulfillment
object
items
array of objects
items
customer
object
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json